Bug 599298 - SELinux is preventing /usr/sbin/exim "getattr" access on /var/spool/nagios.
SELinux is preventing /usr/sbin/exim "getattr" access on /var/spool/nagios.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:61466ac916f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 00:22 EDT by Lev Shamardin
Modified: 2010-07-08 20:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 20:25:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev Shamardin 2010-06-03 00:22:51 EDT
Summary:

SELinux is preventing /usr/sbin/exim "getattr" access on /var/spool/nagios.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by exim. It is not expected that this access is
required by exim and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:exim_t:s0
Target Context                system_u:object_r:nagios_spool_t:s0
Target Objects                /var/spool/nagios [ dir ]
Source                        exim
Source Path                   /usr/sbin/exim
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           exim-4.69-17.fc12
Target RPM Packages           nagios-common-3.2.1-2.fc12
Policy RPM                    selinux-policy-3.6.32-114.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.12-115.fc12.i686.PAE #1 SMP Fri Apr 30
                              20:14:08 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Thu 03 Jun 2010 08:22:09 AM MSD
Last Seen                     Thu 03 Jun 2010 08:22:09 AM MSD
Local ID                      1f49c3c6-c46b-43a2-86eb-72d22a3fea19
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275538929.411:1251): avc:  denied  { getattr } for  pid=30881 comm="exim" path="/var/spool/nagios" dev=dm-0 ino=295082 scontext=unconfined_u:system_r:exim_t:s0 tcontext=system_u:object_r:nagios_spool_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1275538929.411:1251): arch=40000003 syscall=195 success=yes exit=0 a0=279b020 a1=bfe66510 a2=3caff4 a3=27a2c40 items=0 ppid=1 pid=30881 auid=500 uid=0 gid=93 euid=0 suid=0 fsuid=0 egid=93 sgid=93 fsgid=93 tty=(none) ses=1 comm="exim" exe="/usr/sbin/exim" subj=unconfined_u:system_r:exim_t:s0 key=(null)



Hash String generated from  catchall,exim,exim_t,nagios_spool_t,dir,getattr
audit2allow suggests:

#============= exim_t ==============
allow exim_t nagios_spool_t:dir getattr;
Comment 1 Miroslav Grepl 2010-06-03 05:19:26 EDT
I will add

optional_policy(`
    nagios_search_spool(exim_t)
')
Comment 2 Miroslav Grepl 2010-06-23 04:02:16 EDT
Fixed in selinux-policy-3.6.32-119.fc12

Note You need to log in before you can comment on or make changes to this bug.